## Creates delivery orders across multiple stores.

**post** `/api/v2/public/orders/deliveries`

Creates delivery orders across multiple stores.

### Header Parameters

- `container_override: optional boolean`

### Body Parameters

- `orders: optional array of object { datetime_expected, no_of_containers, order_number, 9 more }`

  The list of multi-store delivery orders to create.

  - `datetime_expected: string`

    The expected delivery datetime.

  - `no_of_containers: number`

    The number of containers.

  - `order_number: string`

    The unique order number.

  - `order_type: number`

    The order type identifier.

  - `store_number: string`

    The target store number.

  - `supplier_name: string`

    The name of the supplier.

  - `datetime_created: optional string`

    The datetime the order was created.

  - `description: optional string`

    A description of the delivery order.

  - `order_lines: optional array of object { line_number, quantity, target_stock_pool, 10 more }`

    The order lines in this delivery.

    - `line_number: number`

      The order line number.

    - `quantity: number`

      The quantity being delivered.

    - `target_stock_pool: number`

      The target stock pool for the delivered goods.

    - `barcode: optional string`

      The product barcode.

    - `container_barcode: optional string`

      The barcode of the container this line belongs to.

    - `customer_order_line_number: optional number`

      The line number on the customer order.

    - `customer_order_number: optional string`

      The customer order number this line fulfills.

    - `customer_order_shipment_number: optional string`

      The customer order shipment number.

    - `customer_order_shipment_number_line_number: optional number`

      The line number on the customer order shipment.

    - `description: optional string`

      A description of the order line.

    - `product_number: optional string`

      The product number.

    - `secondary_order_line_number: optional number`

      The line number on the secondary order.

    - `secondary_order_number: optional string`

      A secondary/external order number.

  - `reason_code: optional number`

    The reason code for the delivery.

  - `supplier_code: optional string`

    The unique supplier code.

  - `tracing_url: optional string`

    URL for tracking the delivery shipment.

### Returns

- `success: boolean`

  Indicates whether the operation completed successfully.

- `data: optional string`

  Optional data payload returned by the operation.

- `message: optional string`

  Human-readable message describing the result.

### Example

```http
curl https://api.colleqtive.net/api/v2/public/orders/deliveries \
    -X POST \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN"
```

#### Response

```json
{
  "success": true,
  "data": "data",
  "message": "message"
}
```
